#include <mock_ftdi.h>

DEFINE_FFF_GLOBALS;

DEFINE_FAKE_VOID_FUNC(ftdi_free, struct ftdi_context *);

DEFINE_FAKE_VALUE_FUNC(int, ftdi_usb_open, struct ftdi_context *, int, int);
DEFINE_FAKE_VALUE_FUNC(int, ftdi_usb_close, struct ftdi_context *);
DEFINE_FAKE_VALUE_FUNC(struct ftdi_context *, ftdi_new);
DEFINE_FAKE_VALUE_FUNC(const char *, ftdi_get_error_string, struct ftdi_context *);
DEFINE_FAKE_VALUE_FUNC(int, ftdi_set_bitmode, struct ftdi_context *, unsigned char, unsigned char);
DEFINE_FAKE_VALUE_FUNC(int, ftdi_read_data, struct ftdi_context *, unsigned char *, int);
DEFINE_FAKE_VALUE_FUNC(int, ftdi_write_data, struct ftdi_context *, const unsigned char *, int);
